Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class ColorPaletteListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.ColorPaletteListenerAdapter

All Implemented Interfaces:
  ColorPaletteListener, ComponentListener

    public class ColorPaletteListenerAdapter

extends ComponentListenerAdapter
implements ColorPaletteListener

ColorPalette listener adapter class.

Constructor Summary
`ColorPaletteListenerAdapter()`

Method Summary
`void` | `onSelect(ColorPalette colorPalette, java.lang.String color)` Fires when a color is selected.

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### ColorPaletteListenerAdapter

    public ColorPaletteListenerAdapter()

Method Detail

### onSelect

    public void onSelect(ColorPalette colorPalette,
                         java.lang.String color)

  Description copied from interface: `ColorPaletteListener`
  Fires when a color is selected.

  Specified by:
    `onSelect` in interface `ColorPaletteListener`
  Parameters:
    `colorPalette` - this
    `color` - The 6-digit color hex code (without the # symbol)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD